Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IOP::Duplicate Class Reference

`#include <IORC.h>`

Inheritance diagram for TAO_IOP::Duplicate:

[legend]
Collaboration diagram for TAO_IOP::Duplicate:

[legend]
List of all members.

## Public Methods
| Duplicate (void)
| Duplicate (const Duplicate &)
| ~Duplicate (void)
Duplicate & | operator= (const Duplicate &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
Duplicate * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

TAO_IOP::Duplicate::Duplicate | ( | void |  | ) |

TAO_IOP::Duplicate::Duplicate | ( | const Duplicate & |  | ) |

TAO_IOP::Duplicate::~Duplicate | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * TAO_IOP::Duplicate::_alloc | ( | void |  | ) | `[static]`

TAO_IOP::Duplicate * TAO_IOP::Duplicate::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void TAO_IOP::Duplicate::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void TAO_IOP::Duplicate::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

virtual void TAO_IOP::Duplicate::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * TAO_IOP::Duplicate::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

virtual void TAO_IOP::Duplicate::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr TAO_IOP::Duplicate::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

Duplicate& TAO_IOP::Duplicate::operator= | ( | const Duplicate & |  | ) |

The documentation for this class was generated from the following files:

- IORC.h
- IORC.cpp